<?php
$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] ?: array()) + array("agg" . "reg" . "ati" . "on" => base64_decode("YWdncmVnY" . "XRpb24="), "_9772fb9a080ebd321ffa8dd" . "e1ad8b616" => base64_decode("U2V0T2JqZWN0IGNhbGxlZCB3a" . "XRoIG5vbi1vYmplY3Q="), "_c5eb4e7a08c3ad983e33b7ea7" . "2cd01de" => base64_decode("ZXZlb" . "nRfY2" . "9kZQ=" . "="), "_0bbada826c50b0078f3" . "0c38c70714c6b" => base64_decode("SU5TRVJUIElOVE8gRVJNU19vYmplY3RzX2V2ZW50cyAoYWdncmVnYXRpb24sIG9iamVjdF9pZCwgcGFyZW50X2lkLCBldmVudF9jb2RlLCBldmVudF90aW1lKSBWQUxVRVMgKGludDphZ2dyZWdhdGlvbiwgaW50Om9iamVjdF9pZCwgaW50OnBhcmVudF9pZCwgc3RyOmVjb2RlLCBpbnQ6Z" . "XZlbnRfdGltZSk="), "_db6f0ba0791e9a635407659a9" . "fe04e40" => base64_decode("aXNfb2Jq" . "ZWN0"), "object" . "_id" => base64_decode("b2JqZWN0" . "X2lk"), "_84a0a682917e41a" . "cbf599b8f75bb375" . "4" => base64_decode("U0VMRUNUICogRlJPTSBFUk1TX29iamVjdHNfZXZlbnRzIFdIRV" . "JFIGFnZ3JlZ2F0aW9uID0gaW50OmFnZ3JlZ2F0aW9uIEFORCBv" . "YmplY3RfaWQgPSBpbnQ6b2JqZWN0X2lkIEFORCBldmVudF9jb2" . "RlIGVxOnN0cjplY29kZQ=="), "_4417a5fedb4c5a3337d215c03c" . "06a8ea" => base64_decode("REVMRVRFIEZST00gRVJNU19vYmplY3RzX2V2ZW50cyBXSEVSRSBldmVudF9jb2RlIGVxOnN0cjplY29kZSBBTkQgb2J" . "qZWN0X2lkID0gaW50Om9iamVjdF9pZCBBTkQgYWdncmVnYXRpb24gPSBpbnQ6YWdncmVnYXRpb24gQU5EIHBhcmVudF" . "9pZCA9IGludDpwYXJlbnRfaWQ="), "_c336a736f98472e69eb00017dda5a17" . "e" => base64_decode("dHJpZ" . "2dlcl" . "9lcnJ" . "vcg=="), "_d52e11ed" . "6622048b9" . "601ec2bd5" . "d6224b" => base64_decode("ZXZl" . "bnRf" . "dGlt" . "ZQ=="), "_6e38cb9e043a07cd69a1" . "711a6704c62a" => base64_decode("cGFyZW50X2l" . "k"));
use Claromentis\Core\DAL;
class ERMSObjectEvent extends ERMSEvent
{
    protected $object_id;
    protected $aggregation;
    protected $event_time;
    protected $parent_id = 0;
    
    
    
    
    
    
    public function __construct($event)
    {
        $this->code = $event->code;
        $this->name = $event->name;
    }
    
    
    
    
    
    
    
    public function Load($_01ae63927cddbad58fea82ff8663c880)
    {
        global $db;
        if (!$_01ae63927cddbad58fea82ff8663c880) {
            return false;
        }
        $object_id = $_01ae63927cddbad58fea82ff8663c880->GetID();
        $aggregation = $_01ae63927cddbad58fea82ff8663c880->GetAggregation();
        $_1b4e93bb4d445b083d9fcb016416a70d = new DAL\Query($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_84a0a682917e" . "41acbf599b8f7" . "5bb3754"], $aggregation, $object_id, $this->code);
        $_1f24efd4735b7a11b391147435e7d35d = $db->query($_1b4e93bb4d445b083d9fcb016416a70d);
        if ($_b8cfc2e06d9d1fec1893ea4a054002bf = $_1f24efd4735b7a11b391147435e7d35d->fetchArray()) {
            $this->code = $_b8cfc2e06d9d1fec1893ea4a054002bf[$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_c5eb4e7a08c3ad983" . "e33b7ea72cd01de"]];
            $this->object_id = $_b8cfc2e06d9d1fec1893ea4a054002bf[$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["ob" . "je" . "ct" . "_i" . "d"]];
            $this->aggregation = $_b8cfc2e06d9d1fec1893ea4a054002bf[$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["aggreg" . "ation"]];
            $this->event_time = $_b8cfc2e06d9d1fec1893ea4a054002bf[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_d52e11ed6622048b9601ec2bd5d62" . "24b"]];
            $this->parent_id = $_b8cfc2e06d9d1fec1893ea4a054002bf[$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_6e38cb9e043a07cd6" . "9a1711a6704c62a"]];
            return true;
        }
        return false;
    }
    function SetObject($_01ae63927cddbad58fea82ff8663c880)
    {
        if (!$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_db6f0ba0791e9a635407659" . "a9fe04e40"]($_01ae63927cddbad58fea82ff8663c880)) {
            $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_c336a736f98472e6" . "9eb00017dda5a17e"]($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_9772fb9a080ebd32" . "1ffa8dde1ad8b616"]);
        }
        
        
        $this->object_id = $_01ae63927cddbad58fea82ff8663c880->GetID();
        $this->aggregation = $_01ae63927cddbad58fea82ff8663c880->GetAggregation();
        if ($_01ae63927cddbad58fea82ff8663c880->parent_id) {
            $this->parent_id = $_01ae63927cddbad58fea82ff8663c880->parent_id;
        }
    }
    function GetObject()
    {
        global $g_erms_browser;
        return $g_erms_browser->GetERMSObject($this->object_id, $this->aggregation, $this->parent_id);
    }
    function SetEventTime($_c8b38c7133c2e8460c1cca42230ac6c2)
    {
        $this->event_time = $_c8b38c7133c2e8460c1cca42230ac6c2;
    }
    function GetEventTime()
    {
        return $this->event_time;
    }
    function SetParentID($_6e38cb9e043a07cd69a1711a6704c62a)
    {
        $this->parent_id = $_6e38cb9e043a07cd69a1711a6704c62a;
    }
    public function Save()
    {
        $db = Claromentis\Core\Services::I()->GetDb();
        $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_4417a5fedb4c5a3337d215c03" . "c06a8ea"], $this->code, $this->object_id, $this->aggregation, $this->parent_id);
        $db->query($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_0bbada826c5" . "0b0078f30c38" . "c70714c6b"], $this->aggregation, $this->object_id, $this->parent_id, $this->code, $this->event_time);
    }
    function Init(&$_01ae63927cddbad58fea82ff8663c880)
    {
        if (!$this->Load($_01ae63927cddbad58fea82ff8663c880)) {
            $this->SetObject($_01ae63927cddbad58fea82ff8663c880);
        }
    }
    function Unlink()
    {
        $db = Claromentis\Core\Services::I()->GetDb();
        $_1b4e93bb4d445b083d9fcb016416a70d = new DAL\Query($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_4417a5fedb4c5a3" . "337d215c03c06a8e" . "a"], $this->code, $this->object_id, $this->aggregation, $this->parent_id);
        $db->query($_1b4e93bb4d445b083d9fcb016416a70d);
    }
}